Index: /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.uigroups.inc.php	(revision 493)
@@ -140,5 +140,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_group(\"".$group['cn']."\",\"".$group['gidnumber']."\");'>Excluir</a>");
+						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_group(\"".$group['cn']."\",\"".$group['gidnumber']."\");'>".lang('to delete')."</a>");
 					}
 					else
@@ -307,6 +307,6 @@
 				}
 				
-				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;Usuários&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
-				$opt_tmp_unknow = '<option  value="-1" disabled>------------&nbsp;&nbsp;&nbsp;&nbsp;Usuários não encontrados no BD, somente no LDAP	&nbsp;&nbsp;&nbsp;&nbsp;------------</option>'."\n";
+				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('users').'&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
+				$opt_tmp_unknow = '<option  value="-1" disabled>------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('users did not find on DB, only on ldap').'&nbsp;&nbsp;&nbsp;&nbsp;------------</option>'."\n";
 				$ea_select_usersInGroup = $unknow != '' ? $opt_tmp_unknow . $unknow . $opt_tmp_users . $users : $opt_tmp_users . $users;
 			}
Index: /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.db_functions.inc.php	(revision 493)
@@ -51,5 +51,5 @@
 		if (!$this->db->query($sql))
 		{
-			echo 'Erro em copy_manager:' . pg_last_error();
+			echo lang('error in') . 'copy_manager: ' . pg_last_error();
 			return false;
 		}
@@ -70,5 +70,5 @@
 			if (!$this->db->query($sql))
 			{
-				echo 'Erro adicionando aplicacão para o novo gerente:' . pg_last_error();
+				echo lang('error adding application to new manager') . ': '. pg_last_error();
 				return false;
 			}
@@ -106,5 +106,5 @@
         {
         	$return['status'] = false;
-			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
+			$result['msg'] = lang('Problems running query on DB') . '.';
 			$db->disconnect();
         	return $return;
@@ -120,5 +120,5 @@
         {
         	$return['status'] = false;
-			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
+			$result['msg'] = lang('Problems running query on DB') . '.';
 			$db->disconnect();
         	return $return;
@@ -142,5 +142,5 @@
 		{
         	$return['status'] = false;
-			$result['msg'] = $this->functions->lang('Problems running query on DB') . '.';
+			$result['msg'] = lang('Problems running query on DB') . '.';
 		}
 		$db->disconnect();
@@ -154,5 +154,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+			$result['msg'] = lang('Error on function') . " db_functions->add_user2group.\n" . lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -167,5 +167,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+				$result['msg'] = lang('Error on function') . " db_functions->add_user2group.\n" . lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -181,5 +181,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+			$result['msg'] = lang('Error on function') . " db_functions->remove_user2group.\n" . lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -193,5 +193,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_user2group.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+				$result['msg'] = lang('Error on function') . " db_functions->remove_user2group.\n" . lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -207,5 +207,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+			$result['msg'] = lang('Error on function') . " db_functions->add_pref_changepassword.\n" . lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -220,5 +220,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+				$result['msg'] = lang('Error on function') . " db_functions->add_pref_changepassword.\n" . lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -234,5 +234,5 @@
 		{
 			$result['status'] = false;
-			$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+			$result['msg'] = lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . lang('Server returns') . ': ' . pg_last_error();
 			return $result;
 		}
@@ -246,5 +246,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+				$result['msg'] = lang('Error on function') . " db_functions->remove_pref_changepassword.\n" . lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
@@ -265,5 +265,5 @@
 				{
 					$result['status'] = false;
-					$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+					$result['msg'] = lang('Error on function') . " db_functions->add_id2apps.\n" . lang('Server returns') . ': ' . pg_last_error();
 					return $result;
 				}
@@ -280,5 +280,5 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = $this->functions->lang('Error on function') . " db_functions->add_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+						$result['msg'] = lang('Error on function') . " db_functions->add_id2apps.\n" . lang('Server returns') . ': ' . pg_last_error();
 						return $result;
 					}
@@ -305,5 +305,5 @@
 				{
 					$result['status'] = false;
-					$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+					$result['msg'] = lang('Error on function') . " db_functions->remove_id2apps.\n" . lang('Server returns') . ': ' . pg_last_error();
 					return $result;
 				}
@@ -317,5 +317,5 @@
 					{
 						$result['status'] = false;
-						$result['msg'] = $this->functions->lang('Error on function') . " db_functions->remove_id2apps.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+						$result['msg'] = lang('Error on function') . " db_functions->remove_id2apps.\n" . lang('Server returns') . ': ' . pg_last_error();
 						return $result;
 					}
@@ -431,5 +431,5 @@
 			{
 				$result['status'] = false;
-				$result['msg'] = $this->functions->lang('Error on function') . " db_functions->set_user_password.\n" . $this->functions->lang('Server returns') . ': ' . pg_last_error();
+				$result['msg'] = lang('Error on function') . " db_functions->set_user_password.\n" . lang('Server returns') . ': ' . pg_last_error();
 				return $result;
 			}
Index: /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 481)
+++ /trunk/expressoAdmin1_2/inc/class.uiaccounts.inc.php	(revision 493)
@@ -151,5 +151,5 @@
 
 					if ($can_rename)
-						$p->set_var('row_rename',"<a href='#' onClick='javascript:rename_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>Renomear</a>");
+						$p->set_var('row_rename',"<a href='#' onClick='javascript:rename_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>".lang('to rename')."</a>");
 					else
 						$p->set_var('row_rename','&nbsp;');
@@ -157,5 +157,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('row_delete',"<a href='#' onClick='javascript:delete_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>Excluir</a>");
+						$p->set_var('row_delete',"<a href='#' onClick='javascript:delete_user(\"".$account['account_lid']."\",\"".$account['account_id']."\");'>".lang('to delete')."</a>");
 					}
 					else
@@ -423,9 +423,9 @@
 					{
 						$this->ldap_functions->add_user2group($gidnumber, $user_info['uid']);
-						$ea_select_user_groups_options .= "<option value=" . $gidnumber . ">" . $cn . " [Incluido memberUid no Ldap]</option>";
+						$ea_select_user_groups_options .= "<option value=" . $gidnumber . ">" . $cn . " [" . lang('included memberuid on ldap')."]</option>";
 
 						if ($alert_warning == '')
-							$alert_warning = "O expressoAdmin corrigiu as seguintes inconsistências:\\n";
-						$alert_warning .= "Incluido atributo memberUid do usuário no grupo:\\n$cn - gidnumber: $gidnumber.";
+							$alert_warning = lang("the expressoadmin corrected the following inconsistencies") . ":\\n";
+						$alert_warning .= lang("included user on group") . ":\\n$cn - gidnumber: $gidnumber.";
 					}
 					else
@@ -454,5 +454,5 @@
 						$alert_warning .= "Removido atributo memberUid do usuário do grupo $cn.\\n";
 						*/
-						$ea_select_user_groups_options .= "<option value=" . $gidnumber . ">" . $cn . " [Somente no LDAP]</option>";
+						$ea_select_user_groups_options .= "<option value=" . $gidnumber . ">" . $cn . " [".lang('only on ldap')."]</option>";
 					}
 				}
Index: /trunk/expressoAdmin1_2/inc/class.user.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 458)
+++ /trunk/expressoAdmin1_2/inc/class.user.inc.php	(revision 493)
@@ -55,5 +55,5 @@
 				{
 					$return['status'] = false;
-					$return['msg'] = "Problemas obtendo ID do usuário.\n" . $id['msg'];
+					$return['msg'] = lang('problems getting user id') . ".\n" . $id['msg'];
 					return $return;
 				}
@@ -141,5 +141,8 @@
 						{
 							$return['status'] = false;
-							$return['msg'] .= "O arquivo  binário /home/expressolivre/mkntpwd não exite.\\nEle é necessário para a criação das senhas usadas pelo SAMBA.\\nInforme o administrador ExpressoLivre sobre isto.";
+							$return['msg'] .= 
+									lang("the binary file /home/expressolivre/mkntpwd does not exist") . ".\\n" .
+									lang("it is needed to create samba passwords") . ".\\n" . 
+									lang("alert your administrator about this") . ".";
 						}
 						else
Index: /trunk/expressoAdmin1_2/inc/class.maillist.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 438)
+++ /trunk/expressoAdmin1_2/inc/class.maillist.inc.php	(revision 493)
@@ -44,5 +44,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para adicionar listas de email.';
+				$return['msg'] = lang('You do not have access to add email lists') . '.';
 				return $return;
 			}
@@ -60,5 +60,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = "Problemas obtendo ID do usuário.\n" . $id['msg'];
+				$return['msg'] = lang('problems getting user id') . ".\n" . $id['msg'];
 				return $return;
 			}
Index: /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 414)
+++ /trunk/expressoAdmin1_2/inc/class.socomputers.inc.php	(revision 493)
@@ -14,8 +14,10 @@
 		var $functions;
 		var $ldap_connection;
+		var $db_functions;
 		
 		function socomputers()
 		{
 			$this->functions = CreateObject('expressoAdmin1_2.functions');
+			$this->db_functions = CreateObject('expressoAdmin1_2.db_functions');
 			
 			if ( (!empty($GLOBALS['phpgw_info']['server']['ldap_master_host'])) &&
@@ -99,7 +101,7 @@
 		function delete_computer_ldap($dn)
 		{
-			$result = ldap_delete($this->ldap_connection, $dn);
-			ldap_close($this->ldap_connection);
-			$this->functions->write_log('deleted computer',$dn);
+			$result = @ldap_delete($this->ldap_connection, $dn);
+			@ldap_close($this->ldap_connection);
+			$this->db_functions->write_log('deleted computer',$dn);
 			return $result;				
 		}
@@ -109,5 +111,5 @@
 			$result = ldap_rename($this->ldap_connection, $old_dn, $new_rdn, $new_context, true);
 			ldap_close($this->ldap_connection);
-			$this->functions->write_log('rename computer',$old_dn . '->' . $new_rdn);
+			$this->db_functions->write_log('rename computer',$old_dn . '->' . $new_rdn);
 			return $result;
 		}
@@ -117,5 +119,5 @@
 			$result = ldap_mod_add($this->ldap_connection, $dn, $ldap_add_attribute);
 			ldap_close($this->ldap_connection);
-			$this->functions->write_log('added ldap attributes from computer',$dn);						
+			$this->db_functions->write_log('added ldap attributes from computer',$dn);						
 			return $result;
 		}
@@ -125,5 +127,5 @@
 			$result = ldap_mod_del($this->ldap_connection, $dn, $ldap_remove_attribute);
 			ldap_close($this->ldap_connection);
-			$this->functions->write_log('removed ldap attributes from computer',$dn);						
+			$this->db_functions->write_log('removed ldap attributes from computer',$dn);						
 			return $result;
 		}
@@ -133,5 +135,5 @@
 			$result = ldap_mod_replace($this->ldap_connection, $dn, $ldap_replace_attribute);
 			ldap_close($this->ldap_connection);
-			$this->functions->write_log('replace ldap attributes from computer',$dn);
+			$this->db_functions->write_log('replace ldap attributes from computer',$dn);
 			return $result;
 		}
Index: /trunk/expressoAdmin1_2/inc/class.sosectors.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.sosectors.inc.php	(revision 471)
+++ /trunk/expressoAdmin1_2/inc/class.sosectors.inc.php	(revision 493)
@@ -125,5 +125,5 @@
 			else
 			{
-				echo 'Erro na escrita no LDAP, funcao add_attribute: ' . ldap_error($this->ldap_connection);
+				echo lang('Error written in LDAP, function add_attribute'). ldap_error($this->ldap_connection);
 				ldap_close($this->ldap_connection);
 				return false;
@@ -140,5 +140,5 @@
 			else
 			{
-				echo 'Erro na escrita no LDAP, funcao remove_attribute: ' . ldap_error($this->ldap_connection);
+				echo lang('Error written in LDAP, function remove_attribute'). ldap_error($this->ldap_connection);
 				ldap_close($this->ldap_connection);
 				return false;
Index: /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 422)
+++ /trunk/expressoAdmin1_2/inc/class.uimaillists.inc.php	(revision 493)
@@ -151,5 +151,5 @@
 					if ($can_delete)
 					{
-						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_maillist(\"".$maillist['uid']."\",\"".$maillist['uidnumber']."\");'>Excluir</a>");
+						$p->set_var('delete_link',"<a href='#' onClick='javascript:delete_maillist(\"".$maillist['uid']."\",\"".$maillist['uidnumber']."\");'>".lang('to delete')."</a>");
 					}
 					else
@@ -274,13 +274,13 @@
 				if ($mail_not_found != '')
 				{
-					$opt_tmp_mail_not_found = '<option  value="-1" disabled>--------------------&nbsp;&nbsp;&nbsp;&nbsp;E-mails não encontrados&nbsp;&nbsp;&nbsp;&nbsp;------------------ </option>'."\n";
+					$opt_tmp_mail_not_found = '<option  value="-1" disabled>--------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('emails did not find').'&nbsp;&nbsp;&nbsp;&nbsp;------------------ </option>'."\n";
 					$ea_select_usersInMaillist .= $opt_tmp_mail_not_found . $mail_not_found;
 				}
 				if ($lists != '')
 				{
-					$opt_tmp_lists  = '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;Listas&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";
+					$opt_tmp_lists  = '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('email lists').'&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";
 					$ea_select_usersInMaillist .= $opt_tmp_lists . $lists;
 				}
-				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;Usuários&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
+				$opt_tmp_users  = '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.lang('users').'&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
 				$ea_select_usersInMaillist .= $opt_tmp_users . $users;
 			}
Index: /trunk/expressoAdmin1_2/inc/class.bocomputers.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.bocomputers.inc.php	(revision 283)
+++ /trunk/expressoAdmin1_2/inc/class.bocomputers.inc.php	(revision 493)
@@ -46,5 +46,5 @@
 				
 				$return['status'] = false;
-				$return['msg'] = "Problemas obtendo ID do usuário.\n" . $id['msg'];
+				$return['msg'] = lang('problems getting user id') . ".\n" . $id['msg'];
 				return $return;
 			}
@@ -79,5 +79,9 @@
 				if (!is_file('/home/expressolivre/mkntpwd'))
 				{
-					$_POST['error_messages'] = "O arquivo binário /home/expressolivre/mkntpwd não exite.\\nEle é necessário para a criação das senhas usadas pelo SAMBA.\\nInforme o administrador ExpressoLivre sobre isto.";
+					$_POST['error_messages'] = 
+						lang("the binary file /home/expressolivre/mkntpwd does not exist") . ".\\n" .
+						lang("it is needed to create samba passwords") . ".\\n" . 
+						lang("alert your administrator about this") . ".";
+					
 					ExecMethod('expressoAdmin1_2.uiaccounts.add_computer');
 					return false;
Index: /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 471)
+++ /trunk/expressoAdmin1_2/inc/class.bosectors.inc.php	(revision 493)
@@ -37,5 +37,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para criar setores.';
+				$return['msg'] = lang('you do not have access to create sectors') . '.';
 				return $return;
 			}
@@ -110,5 +110,5 @@
 			{
 				$return['status'] = false;
-				$return['msg'] = 'Você não tem acesso para deletar setores.';
+				$return['msg'] = lang('you do not have access to delete sectors') . '.';
 				return $return;
 			}
Index: /trunk/expressoAdmin1_2/inc/load_lang.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/load_lang.php	(revision 415)
+++ /trunk/expressoAdmin1_2/inc/load_lang.php	(revision 493)
@@ -1,7 +1,10 @@
 <?
 	$lang = array();
-	foreach($_SESSION['phpgw_info']['expressoAdmin']['lang'] as $message_id=>$content)
+	if (!empty($_SESSION['phpgw_info']['expressoAdmin']['lang']))
 	{
-		$lang[str_replace(" ", "_", (strtolower($message_id)) )] = $content;
+		foreach($_SESSION['phpgw_info']['expressoAdmin']['lang'] as $message_id=>$content)
+		{
+			$lang[str_replace(" ", "_", (strtolower($message_id)) )] = $content;
+		}
 	}
 	echo serialize($lang);
Index: /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 471)
+++ /trunk/expressoAdmin1_2/inc/class.ldap_functions.inc.php	(revision 493)
@@ -596,5 +596,5 @@
 		$lists = array();
 		
-		$options .= '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;Listas&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";	
+		$options .= '<option  value="-1" disabled>------------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.$this->functions->lang('email lists').'&nbsp;&nbsp;&nbsp;&nbsp;------------------------------ </option>'."\n";	
 		if (count($l_tmp))
 		{
@@ -619,5 +619,6 @@
 		$users = array();
 		
-		$options .= '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;Usuários&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";	
+		$options .= '<option  value="-1" disabled>-----------------------------&nbsp;&nbsp;&nbsp;&nbsp;'.$this->functions->lang('users').'&nbsp;&nbsp;&nbsp;&nbsp;---------------------------- </option>'."\n";
+			
 		if (count($u_tmp))
 		{
@@ -1289,5 +1290,6 @@
 				$entry = ldap_get_entries($this->ldap, $search);
 				if ($entry['count'] == 0)
-					$result['groups_info'][$i]['cn'] = '_Grupo existe no BD mas não no LDAP';
+					$result['groups_info'][$i]['cn'] = '_' . $this->functions->lang('group only exist on DB, but does not exist on ldap');
+					
 				else
 					$result['groups_info'][$i]['cn'] = $entry[0]['cn'][0];
Index: /trunk/expressoAdmin1_2/inc/class.manager.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/inc/class.manager.inc.php	(revision 182)
+++ /trunk/expressoAdmin1_2/inc/class.manager.inc.php	(revision 493)
@@ -79,5 +79,6 @@
 			{
 				$return['status'] = 'false';
-				$return['msg'] = 'Campo contexto está vazio.';
+				$return['msg'] = $this->functions->lang('context field is empty') . '.';
+				
 				return $return;
 			}
@@ -85,5 +86,6 @@
 			{
 				$return['status'] = 'false';
-				$return['msg'] = 'Selecione um gerente.';
+				$return['msg'] = $this->functions->lang('select one manager') . '.';
+				
 				return $return;
 			}
@@ -103,5 +105,5 @@
 				{
 					$return['status'] = 'false';
-					$return['msg'] = "Contexto $context não existe.";
+					$this->functions->lang('context does not exist') . ": $context";
 					return $return;
 				}				
@@ -116,5 +118,6 @@
 				{
 					$return['status'] = 'false';
-					$return['msg'] = "Gerente já cadastrado.";
+					$return['msg'] = $this->functions->lang('manager already exist') . ".";
+					
 					return $return;
 				}
Index: /trunk/expressoAdmin1_2/js/modal/modal.js
===================================================================
--- /trunk/expressoAdmin1_2/js/modal/modal.js	(revision 414)
+++ /trunk/expressoAdmin1_2/js/modal/modal.js	(revision 493)
@@ -81,10 +81,10 @@
 	var objCaption = document.createElement("div");
 	objCaption.setAttribute('id','lightboxFoot');
-	
-	var close_button = '<input type=button value="Fechar" onClick='+close_action+'>';
+
+	var close_button = '<input type=button value="'+get_lang('close')+'" onClick='+close_action+'>';
 	if (type == 'create')
-		var create_save_button = '<input type=button value="Criar" onClick='+create_action+'>';
+		var create_save_button = '<input type=button value="'+get_lang('create')+'" onClick='+create_action+'>';
 	else if(type == 'save')
-		var create_save_button = '<input type=button value="Salvar" onClick='+save_action+'>';
+		var create_save_button = '<input type=button value="'+get_lang('save')+'" onClick='+save_action+'>';
 	objCaption.innerHTML = '<table width=100% cellspacing="0" cellpadding="0"><tr><td align=left>'+close_button+'</td><td align=right>'+create_save_button+'</td></tr></table>'
 	
Index: /trunk/expressoAdmin1_2/index.php
===================================================================
--- /trunk/expressoAdmin1_2/index.php	(revision 414)
+++ /trunk/expressoAdmin1_2/index.php	(revision 493)
@@ -39,4 +39,5 @@
 		'lang_email_lists'		=> lang('Email Lists'),
 		'lang_computers'		=> lang('Computers'),
+		'lang_organizations'	=> lang('Organizations'),
 		'lang_sambadomains'		=> lang('Samba Domains'),
 		'lang_sectors'			=> lang('Sectors'),
Index: /trunk/expressoAdmin1_2/templates/default/maillists.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/maillists.tpl	(revision 414)
+++ /trunk/expressoAdmin1_2/templates/default/maillists.tpl	(revision 493)
@@ -33,5 +33,5 @@
 	
 	
-    <td width="8%" align="center">{lang_delete}</td>
+    <td width="8%" align="center">{lang_to_delete}</td>
    </tr>
 
Index: /trunk/expressoAdmin1_2/templates/default/accounts_form.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 481)
+++ /trunk/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 493)
@@ -79,6 +79,6 @@
 			<td width="15%">&nbsp;</td>
 			<td width="35%">
-				<input type='button' value='Inserir senha padrão' onclick="javascript:set_user_default_password();">
-				<input type='button' value='Retornar senha do usuário' onclick="javascript:return_user_password();">
+				<input type='button' value='{lang_set_default_users_password}' onclick="javascript:set_user_default_password();">
+				<input type='button' value='{lang_return_user_password}' onclick="javascript:return_user_password();">
 			</td>
 		</tr>
Index: /trunk/expressoAdmin1_2/templates/default/sectors_delete.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/sectors_delete.tpl	(revision 475)
+++ /trunk/expressoAdmin1_2/templates/default/sectors_delete.tpl	(revision 493)
@@ -58,5 +58,5 @@
 				<br>
 				{sectors_list}
-				<br>	
+				<br>
 		</td>
 	</tr>
Index: /trunk/expressoAdmin1_2/templates/default/index.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/index.tpl	(revision 317)
+++ /trunk/expressoAdmin1_2/templates/default/index.tpl	(revision 493)
@@ -54,5 +54,5 @@
 		</td>
 		<td>
-			<a href="../index.php?menuaction=expressoAdmin1_2.uisectors.list_sectors">Organizações</a>
+			<a href="../index.php?menuaction=expressoAdmin1_2.uisectors.list_sectors">{lang_organizations}</a>
 		</td>
 	</tr> 
Index: /trunk/expressoAdmin1_2/templates/default/managers_form.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 414)
+++ /trunk/expressoAdmin1_2/templates/default/managers_form.tpl	(revision 493)
@@ -22,5 +22,5 @@
 				<table border=0 width=100%>
 					<tr bgcolor="{color_bg2}">
-						<td colspan="2"><b>Informações sobre o Administrador</b></td>
+						<td colspan="2"><b>{lang_manager}</b></td>
 					</tr>				
 			    	<tr bgcolor="{color_font1}">
@@ -49,5 +49,5 @@
 			    	</tr>
 					<tr bgcolor="{color_bg2}">
-						<td colspan="2"><b>Informações da ACL</b></td>
+						<td colspan="2"><b>{lang_access_control_list}</b></td>
 					</tr>
 
@@ -58,5 +58,5 @@
 					<table id="ea_table_acl">
 					    <tr bgcolor="{color_font2}">
-							<td width="20%"><input type="button" value="Selecionar todos os direitos" onclick="select_all_acls('ea_table_acl');"></td>
+							<td width="20%"><input type="button" value="{lang_select_all}" onclick="select_all_acls('ea_table_acl');"></td>
 					    </tr>
 					    <tr bgcolor="{color_font1}" align='right'>
@@ -171,9 +171,9 @@
 					
 					<tr bgcolor="{color_bg2}">
-					  <td colspan="4"><b>Seleção de Aplicativos disponíveis para o Gerente.</b></td>
+					  <td colspan="4"><b>{lang_applications}</b></td>
 					</tr>
 					<table id="ea_table_app">
 						<tr bgcolor="{color_font2}">
-							<td width="20%"><input type="button" value="Selecionar todos os aplicativos" onclick="select_all_acls('ea_table_app');"></td>
+							<td width="20%"><input type="button" value="{lang_select_all}" onclick="select_all_acls('ea_table_app');"></td>
 					    </tr>
 						<tr>