Index: trunk/jabberit_messenger/templates/celepar/index.tpl
===================================================================
--- trunk/jabberit_messenger/templates/celepar/index.tpl	(revision 382)
+++ trunk/jabberit_messenger/templates/celepar/index.tpl	(revision 495)
@@ -2,10 +2,10 @@
 <html>
 <head>
-<link rel='stylesheet' type='text/css' href='../help/templates/{template_set}/css/index.css'>
+<link rel='stylesheet' type='text/css' href='../help/templates/{template_default}/css/index.css'>
 </head>
 <body style="margin:0px;padding:0px">
 <table width='100%'>
-<tr><td align='right' background="../help/templates/{template_set}/images/fundo_topo.jpg">
-<img src="../help/templates/{template_set}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
+<tr><td align='right' background="../help/templates/{template_default}/images/fundo_topo.jpg">
+<img src="../help/templates/{template_default}/images/topo.jpg" style="overflow:hidden;z-index:-1;">
 <p class='titulo' style="font-color:blue;text-align:center;position:absolute;top:20px;left:5px;z-index:0;">Ajuda</p>
 </td></tr></table>
Index: trunk/jabberit_messenger/templates/celepar/indexIM.tpl
===================================================================
--- trunk/jabberit_messenger/templates/celepar/indexIM.tpl	(revision 417)
+++ trunk/jabberit_messenger/templates/celepar/indexIM.tpl	(revision 495)
@@ -20,5 +20,5 @@
 	<br>
 	<br>
-	<img src="templates/celepar/images/tela_inicial.png" style="width:228px; height:442px;" alt="Im Screenshot" title="Im Screenshot" align="left" style="padding-right:4px;"> 
+	<img src="templates/default/images/tela_inicial.png" style="width:228px; height:442px;" alt="Im Screenshot" title="Im Screenshot" align="left" style="padding-right:4px;"> 
     <br clear="all">
 	( figura 1 )
@@ -43,8 +43,8 @@
 	<h2><a name="prefe">3. Opções - Troca de Status</a></h2>
 	<br/>
-	Para a troca de status ( conforme figura 2 ), basta dar um clique com o mouse e em cima do botão <img src="templates/celepar/images/botao_opcoes.png" width="116" height="21" style="margin-left:5px; margin-right:5px;"/> .
+	Para a troca de status ( conforme figura 2 ), basta dar um clique com o mouse e em cima do botão <img src="templates/default/images/botao_opcoes.png" width="116" height="21" style="margin-left:5px; margin-right:5px;"/> .
 	<br/>
 	<br/>
-    <img src="templates/celepar/images/menu_opcoes.png" style="width:180px; height:213px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
+    <img src="templates/default/images/menu_opcoes.png" style="width:180px; height:213px; margin-top:5px;" alt="Menu Opções" title="Menu Opções" align="left"/>
     <br clear="all">
 	( figura 2 )    
@@ -52,5 +52,5 @@
     <br/>
     É possível configurar as mensagens para cada status escolhido (figura 3) clicando no item Personalizar.<br><br>
-	<img src="templates/celepar/images/conf_status.png" style="width:317px; height:235px; margin-top:5px;" alt="Mensagens de Status" title="Mensagens de Status" align="left"/>
+	<img src="templates/default/images/conf_status.png" style="width:317px; height:235px; margin-top:5px;" alt="Mensagens de Status" title="Mensagens de Status" align="left"/>
 	<br clear="all"/>
 	( Figura 3 )
@@ -61,19 +61,19 @@
     <br/>
     <br/>
-    <img src="templates/celepar/images/lista_contatos.png" width="214" height="185" alt="Lista de Contatos" align="left" style="margin:5px;"/>
+    <img src="templates/default/images/lista_contatos.png" width="214" height="185" alt="Lista de Contatos" align="left" style="margin:5px;"/>
     <br clear="all">
     ( figura 4 )
     <br/>
     <h2><a name="status">6. Status dos Usuários</a></h2>
-    <img src="templates/celepar/images/available.png" style="margin:1px;" align="top"> - Disponível<br/>
-    <img src="templates/celepar/images/away.png" style="margin:1px;" align="top"> - Ausente<br/>
-    <img src="templates/celepar/images/chat.png" style="margin:1px;" align="top"> - Bate-papo<br/>
-    <img src="templates/celepar/images/dnd.png" style="margin:1px;" align="top"> - Não Perturbe<br/>
-    <img src="templates/celepar/images/invisible.png" style="margin:1px;" align="top"> - Invisível<br/>    
-    <img src="templates/celepar/images/unavailable.png" style="margin:1px;" align="top"> - Offline / Desconectado<br/>    
-    <img src="templates/celepar/images/xa.png" style="margin:1px;" align="top"> - Ausência Prolongada<br/>    
+    <img src="templates/default/images/available.png" style="margin:1px;" align="top"> - Disponível<br/>
+    <img src="templates/default/images/away.png" style="margin:1px;" align="top"> - Ausente<br/>
+    <img src="templates/default/images/chat.png" style="margin:1px;" align="top"> - Bate-papo<br/>
+    <img src="templates/default/images/dnd.png" style="margin:1px;" align="top"> - Não Perturbe<br/>
+    <img src="templates/default/images/invisible.png" style="margin:1px;" align="top"> - Invisível<br/>    
+    <img src="templates/default/images/unavailable.png" style="margin:1px;" align="top"> - Offline / Desconectado<br/>    
+    <img src="templates/default/images/xa.png" style="margin:1px;" align="top"> - Ausência Prolongada<br/>    
     <h2><a name="useradd">7. Adicionando um novo contato </a></h2>
 	<br/>
-	Para adicionar um novo contato, clique na imagem <img src="templates/celepar/images/group_open.gif"/>, no canto superior esquerdo (figura 5) e abrirá uma janela para adição dos contatos (figura 6) e
+	Para adicionar um novo contato, clique na imagem <img src="templates/default/images/group_open.gif"/>, no canto superior esquerdo (figura 5) e abrirá uma janela para adição dos contatos (figura 6) e
 	faça uma pesquisa pelo nome. O resultado retornará <u>somente</u> os usuários que <u>tem permissão</u> para usar o Mensageiro Instantâneo do Expresso. 
 	Clique sobre o link "Adicionar Contato" e aparecerá dois campos, sendo que o campo "Apelido" é preenchido no momento da escolha do novo contato e o campo grupo
@@ -81,10 +81,10 @@
 	<br/>
 	<br/>
-    <img src="templates/celepar/images/adicionar_contato.png" width="247px" height="191px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
+    <img src="templates/default/images/adicionar_contato.png" width="247px" height="191px" alt="Adicionar Contato" title="Adicionar Contato" align="left" style="margin-top:5px;"/>
     <br clear="all"/>
 	( figura 5 )
     <br/>
 	<br/>
-	<img src="templates/celepar/images/janela_adicionar_contatos.png" width="454" height="371" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
+	<img src="templates/default/images/janela_adicionar_contatos.png" width="454" height="371" style="margin-top:5px;" alt="Adicionar Contato" title="Adicionar Contato"/>
 	<br clear="all"/>
 	( figura 6 )
@@ -104,5 +104,5 @@
 	<br/>
 	<br/>
-    <img src="templates/celepar/images/menu_right.png" width="392px" height="110px" alt="Preferências Avançadas" align="left" style="margin-top:5px;"/>
+    <img src="templates/default/images/menu_right.png" width="392px" height="110px" alt="Preferências Avançadas" align="left" style="margin-top:5px;"/>
     <br clear="all"/>
 	( figura 7 )    
@@ -116,5 +116,5 @@
 	<br/>
 	<br/>
-    <img src="templates/celepar/images/troca_de_mensagem.png" width="494" height="341" alt="Troca de Mensagens" title="Troca de Mensagens" align="left" style="margin-top:5px;"/>
+    <img src="templates/default/images/troca_de_mensagem.png" width="494" height="341" alt="Troca de Mensagens" title="Troca de Mensagens" align="left" style="margin-top:5px;"/>
     <br clear="all"/>
     ( figura 8 )
@@ -131,5 +131,5 @@
 	<br/>
 	<br/>
-    <img src="templates/celepar/images/cert_java.png" width="520" height="356" alt="Troca de Mensagens" title="Troca de Mensagens" align="bottom" style="margin-top:5px;"/>
+    <img src="templates/default/images/cert_java.png" width="520" height="356" alt="Troca de Mensagens" title="Troca de Mensagens" align="bottom" style="margin-top:5px;"/>
     <br clear="all"/>
     ( figura 9 )