Index: trunk/jabberit_messenger/templates/default/confExternals.tpl
===================================================================
--- trunk/jabberit_messenger/templates/default/confExternals.tpl	(revision 561)
+++ trunk/jabberit_messenger/templates/default/confExternals.tpl	(revision 561)
@@ -0,0 +1,84 @@
+<!-- BEGIN confOrg -->
+<script type="text/javascript" src="jabberit_messenger/js/connector.js"></script>
+<script type="text/javascript" src="jabberit_messenger/js/xtools.js"></script>
+<script type="text/javascript" src="jabberit_messenger/controller.php?act=j.setup"></script>
+<form method="POST" action="{action_url}">
+<table align="center" width="60%" cellspacing="2" style="border: 1px solid #000000;">
+	<input type="hidden" name="HiddenJabberitExternals" value="">
+	<tr class="th">
+		<td colspan="2">&nbsp;<b>{lang_Informe_as_Organizacoes_Externas}</b></td>
+	</tr>
+	<tr class="row_on">
+		<td colspan="2" style="padding:5 0 5 0px;">&nbsp;<b>&nbsp;{lang_Cadastrar_Organizacao}&nbsp;</b></td>
+	</tr>
+	<tr class="row_on">
+		<td colspan="2">
+			<table>
+				<tr>
+					<td colspan="3">
+						<label>{lang_Habilitar_Participantes_Externos}&nbsp;.:&nbsp;</label>
+						<select name="use_external_participants_jabberit" onchange="constructScript.setPartExternal(this,document);">
+				   			{value_use_external_participants_jabberit}
+				   		</select>
+					</td>
+				</tr>
+				<tr>
+					<td align="right" class="row_on"><label id="label_CadOrgJabberit">{lang_Organization}</label>&nbsp;.:&nbsp;</td>
+					<td class="row_on">
+						<input name="text_CadOrgJabberit" {value_flag} type="text" size="30" maxlength="30">
+					</td>
+					<td class="row_on" style="border:1px solid #00000">
+					  <input type="button" name="add" value="{lang_save}" {value_flag} onclick="return constructScript.sendf(document);">
+					</td>
+				</tr>
+			</table>
+		</td>
+	</tr>
+	<tr class="row_on">
+		<td colspan="2" style="padding:5 0 5 0px;">&nbsp;<b>{lang_Organizacoes_Cadastradas}</b></td>
+	</tr>
+	<tr>
+		<td colspan="2">
+			<table id="tableExternalParticipantsJabberit" cellspacing="2" style="width:100%">
+				<tr>
+					<td align="left" class="row_on">{lang_Organization}</td>
+					<td align="left" class="row_on" style="width:30% !important">{lang_Delete}</td>					
+				</tr>
+				{organizations_attributes}
+			</table>
+		</td>
+	</tr>
+	<tr>
+		<td colspan="2" align="center">
+		  <input type="submit" name="back" value="{lang_Back}">
+		  <br>
+		</td>
+	</tr>
+</table>
+</form>
+<script>
+	
+	var form = document.forms[0];
+
+	for(var i = 0; i < form.elements.length; i++)
+	{
+		switch(form.elements[i].type)
+		{
+			case 'text':
+			case 'button':
+							
+				if({value_flag} == 'true')
+				{
+					form.elements[i].disabled = eval('true');
+					//alert('PRIMEIRO');
+				}
+				else
+				{
+					form.elements[i].disabled = eval('false');
+					//alert('SEGUNDO');
+				}
+				break;
+		}
+	}
+</script>
+<!-- END confOrg -->
Index: trunk/jabberit_messenger/xsl/tableExternalParticipants.xsl
===================================================================
--- trunk/jabberit_messenger/xsl/tableExternalParticipants.xsl	(revision 561)
+++ trunk/jabberit_messenger/xsl/tableExternalParticipants.xsl	(revision 561)
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
+	<xsl:output method="html" omit-xml-declaration="yes"/>
+
+	<xsl:param name="lang1" />
+	<xsl:param name="lang2" />
+	
+	<xsl:template match="/">
+		<table id="tableExternalParticipantsJabberit" cellspacing="2" style="width:100%">
+			<tr>
+				<td align="left" class="row_on"><xsl:value-of select="$lang1" /></td>
+				<td align="left" class="row_on" style="width:30% !important"><xsl:value-of select="$lang2" /></td>
+			</tr>
+			<xsl:for-each select="return/ou	">
+				<tr id="{.}" style="width:40%" class="row_off">
+					<td><xsl:value-of select="." /></td>
+					<td><a href="javascript:constructScript.removePartExternal('{.}');"><xsl:value-of select="$lang2" /></a></td>
+				</tr>
+			</xsl:for-each>
+		</table>
+	</xsl:template>
+
+</xsl:stylesheet>